Software and hardware requirements: IBM Content Manager Services for Lotus Quickr Version 1

Product documentation


Abstract

This document contains the hardware and software requirements for IBM® Content Manager Services for Lotus® Quickr™ Version 1. IBM Content Manager Services for Lotus Quickr Version 1 is a Web application that provides services that can be used by Lotus Quickr or by the Lotus Quickr connectors to enable you to work with documents in DB2® Content Manager.

The hardware and software requirement information in this document is for IBM Content Manager Services for Lotus Quickr Version 1. For hardware and software prerequisite information for DB2 Content Manager and for Lotus Quickr, see the corresponding product documentation.

Content

Links to IBM Content Manager Services for Lotus Quickr hardware and software requirements documents







Important: All of the components mentioned in this document are required unless specifically noted.

If you do not have a supported version of the required software, you can download it from the IBM Passport Advantage Online Web site.

Legend
Icon Description
Supported Supported
Δ Added or changed information since the last release, modification, or fix pack. This mark in the far left column indicates new or changed information in the row.
x86 Intel® 32-bit processors, including IBM® System x®, eServer™ xSeries®, and BladeCenter® servers.
x86-64 64-bit AMD Opteron (AMD64) and Intel® Xeon® (EM64T) processors, including IBM® System x® and BladeCenter® servers
SPARC Sun SPARC technology-based processors
POWER IBM® POWER® technology-based processors, including IBM® System p®, eServer™ pSeries®, System i® and eServer™ iSeries® servers.
IA64 64-bit Intel® Itanium® 2 processors including HP Integrity Servers


Operating Systems (IBM Content Manager Services for Lotus Quickr)

The following table specifies the supported operating systems by hardware platform for IBM Content Manager Services for Lotus Quickr.

Operating system x86 x86-64 POWER SPARC Notes
AIX® 5L™ 5.3 (64-bit) Technology level
Minimum version: 5
Supported on POWER
AIX 6.1 (64-bit) Technology level
Minimum version: Base
Supported on POWER
Red Hat Enterprise Linux® 4.x (32-bit or 64-bit)
Minimum version: Base
Editions: AS, ES, WS
Supported on x86 Supported on x86-64
Red Hat Enterprise Linux® 5.x (32-bit or 64-bit)
Minimum version: Base
Editions: AS, ES, WS
Supported on x86 Supported on x86-64
SUSE Linux Enterprise Server 9 SPx (32-bit or 64-bit)
Minimum version: Base
Editions: SLES
Supported on x86 Supported on x86-64
SUSE Linux Enterprise Server 10 SPx (32-bit or 64-bit)
Minimum version: SP1
Editions: SLES
Supported on x86 Supported on x86-64
Solaris 9 (64-bit)
Minimum version: Base
Supported on SPARC
Solaris 10 (64-bit)
Minimum version: Base
Supported on SPARC
Windows® Server 2003 SPx (32-bit or 64-bit)
Minimum version: SP1
Editions: Standard and Enterprise
Includes R2
Supported on x86 Supported on x86-64
Windows® Server 2008 SPx (32-bit or 64-bit)
Minimum version: Base
Editions: Standard and Enterprise
Supported on x86 Supported on x86-64

Web Application Servers (IBM Content Manager Services for Lotus Quickr)

The following table specifies the supported Web application servers for IBM Content Manager Services for Lotus Quickr.

Web application server AIX Linux Solaris Windows Notes
WebSphere Application Server (32-bit or 64-bit) Base 6.1.0.11 and later Supported on AIX Supported on Linux Supported on Solaris Supported on Windows
WebSphere Application Server (32-bit or 64-bit) Network Deployment 6.1.0.11 and later Supported on AIX Supported on Linux Supported on Solaris Supported on Windows

Deployment in a cluster is not supported.


IBM Information Integrator for Content

IBM DB2 Information Integrator for Content contains the DB2 Content Manager API binaries, which are required to connect IBM Content Manager Services for Lotus Quickr to DB2 Content Manager.

Important: IBM Content Manager Services for Lotus Quickr on 64-bit Windows requires DB2 Content Manager Connector of IBM DB2 Information Integrator for Content V8.4.1 Fix Pack 1 or later.

IBM Information Integrator for Content (Required) AIX Linux Solaris Windows
IBM Information Integrator for Content V8.4.1 or later Supported on AIX Supported on Linux Supported on Solaris Supported on Windows
IBM Information Integrator for Content V8.4 Fix Pack 1A or later Supported on AIX Supported on Linux Supported on Solaris Supported on Windows

IBM Lotus Quickr

Version of Lotus Quickr Notes
IBM Lotus Quickr V8.1.1 IBM Lotus Quickr detailed system requirements

Content Server

The following table specifies the supported content servers. You must choose anyone of the content servers from the following table. IBM Content Manager Services for Lotus Quickr Version 1 is available only for content management configurations on DB2 databases.

Content Server (Required) Notes
IBM DB2 Content Manager V8.4.1 or later Software requirements for DB2 Content Manager Enterprise Edition Version 8.4.1
IBM DB2 Content Manager V8.4 Fix Pack 1A or later Software requirements for DB2 Content Manager Enterprise Edition Version 8.4 and Version 8.4 Fix Pack 1A
IBM DB2 Content Manager for z/OS V8.4 Hardware and software requirements for DB2 Content Manager for z/OS Version 8.4

Directory server

IBM Content Manager Services for Lotus Quickr supports all LDAP servers that DB2 Content Manager supports.

Sizing and capacity planning

DB2 Content Manager and Lotus Quickr have different functionality and performance characteristics, and drive different performance and load characteristics onto their DB2 Content Manager and Lotus Quickr servers. The amount of necessary CPU processing power, RAM, and disk space vary depending on your specific workload and your desired system capacity and performance. To build the best working system that you can test and then move into production, work with the Techline team to identify the necessary requirements by machine. Your IBM Sales representative can contact Techline for you.

Change history
History Date Change
Release December 2008



Related information

Lotus Quickr 8.1.1 System Requirements
Hardware requirements for IBM DB2 Content Manager
IBM DB2 Content Manager 8.4 Software Requirements
DB2 Content Manager V8.4 Information Center
IBM ECM Services for Lotus Quickr forum

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Content Manager
Content Manager Services for Lotus Quickr

Software version:

8.4, 8.4.1

Operating system(s):

AIX, Linux, Solaris, Windows

Reference #:

7013939

Modified date:

2011-05-10

Translate my page

Machine Translation

Content navigation